.\" -*-nroff-*-
.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "1.00",
.\"     date            = "11 April 2001",
.\"     time            = "07:54:50 MDT",
.\"     filename        = "pstopngtops.man",
.\"     address         = "Center for Scientific Computing
.\"                        University of Utah
.\"                        Department of Mathematics, 322 INSCC
.\"                        155 S 1400 E RM 233
.\"                        Salt Lake City, UT 84112-0090
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 585 1640, +1 801 581 4148",
.\"     URL             = "http://www.math.utah.edu/~beebe",
.\"     checksum        = "46961 358 1338 9760",
.\"     email           = "beebe@math.utah.edu, beebe@acm.org,
.\"                        beebe@computer.org, beebe@ieee.org
.\"                        (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "PNG (Portable Network Graphics);
.\"                        portable anymap; portable bitmap;
.\"                        PostScript",
.\"     supported       = "yes",
.\"     docstring       = "This is the UNIX manual page document for
.\"                        pstopngtops.
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.TH PSTOPNGTOPS 1 "11 April 2001" "Version 1.00"
.if t .ds Ps P\s-2OST\s0S\s-2CRIPT\s0
.if n .ds Ps PostScript
.\"======================================================================
.SH NAME
pstopngtops \- convert (Encapsulated) PostScript files to PostScript bitmap files
.\"======================================================================
.SH SYNOPSIS
.B pstopngtops
[
.B \-?
]
[
.B \-crop
]
[
.B \-debug
]
[
.BI \-extension " name"
]
.if n .ti +12n
[
.BI \-gamma " float-value"
]
[
.B \-help
]
[
.B \-icon
]
.if n .ti +12n
.if t .ti +\w'\fBpstopngtops\fP\ 'u
[
.BI \-margin " pixels"
]
[
.B \-norun
]
.if n .ti +12n
[
.BI \-resolution " dpi"
]
[
.B \-version
]
.if n .ti +12n
[
.BI \-W "component,option"
]
.if n .ti +12n
.if t .ti +\w'\fBpstopngtops\fP\ 'u
.I "\*(Ps\&-files"
.\"======================================================================
.SH DESCRIPTION
.B pstopngtops
converts one or more input
.I "(Encapsulated) \*(Ps\&"
files to output \*(Ps\& files via an intermediate
transformation to
.I "Portable Network Graphics (PNG)"
lossless compressed bitmap files.
.PP
This curious procedure serves to purify \*(Ps\&
files that are not includable in other documents
because they fail to conform to Adobe's
Encapsulated \*(Ps\& specification (see Appendix G
of any of the three editions of the \*(Ps\&
Language Reference Manual).
.B pstopngtops
converts \*(Ps\& files to \*(Ps\& bitmap page
images, with user control of resolution, cropping,
and margin padding.
.PP
For maximal color fidelity, bitmaps are produced
in 24-bit color mode, with 16,777,216 possible
colors.
.PP
The PNG format is an Internet Standard defined in
RFC 2083 (1997), and major Web browsers, \&\*(Ps\&
level 3 (1999), and picture editors such as
.BR gimp (1),
.BR photoshop (1),
and
.BR xv (1)
now support it.
.PP
Unlike the Compuserv GIF format, which uses the
Lempel-Ziv-Welch (LZW) compression algorithm
protected under U.S. Patent 4,558,302
(10-Dec-1985) held by Unisys Corporation, PNG is
free of patent and copyright claims, and the PNG
format is recommended for replacement of GIF
images.
.PP
For each file given on the command line, an output
file is written with the same basename as the
input file, but with extension
.IR xps ,
or the name specified by the
.B \-extension
option.
.PP
With the
.B \-icon
option, small companion files with the same name
are also written in a subdirectory
.IR icons ,
which is created if necessary.
.PP
If no files are given on the command line, then
.I stdin
is read, and
.I stdout
is written, and no icon file can be produced.
.PP
.B pstopngtops
is a convenient interface to
.BR gs (1),
.BR pngtopnm (1),
.BR pnmcrop (1),
.BR pnmmargin (1),
and
.BR pnmtops (1),
which do the real work.
.\"======================================================================
.SH OPTIONS
Command-line options may be abbreviated to a
unique leading prefix.
.PP
To avoid confusion with options, if a filename
begins with a hyphen, it must be disguised by a
leading absolute or relative directory path, e.g.
.I /tmp/-foo.eps
or
.IR ./-foo.eps .
.PP
Options may begin with either UNIX-style single
hyphens, or GNU/POSIX-style double hyphens, and
may be abbreviated to any unique prefix.
.\"-----------------------------------------------
.TP \w'\fB\-gamma\fP\ \fIfloat-value\fP'u+3n
.B \-crop
Crop the image to remove edges that are the
background color.
.\"-----------------------------------------------
.TP
.B \-debug
Turn on debug tracing.
.\"-----------------------------------------------
.TP
.BI \-extension " name"
Replace the default output file extension,
.IR xps ,
with
.IR name .
.\"-----------------------------------------------
.TP
.BI \-gamma " float-value"
Specify an image gamma correction as a
floating-point number.  Small values darken the
image, and large values lighten it.  Typical
values are in the range 0.5 .\|. 3.0.
.IP
.RI [Default: " 1.0" ]
.\"-----------------------------------------------
.TP
.B \-?
.br
.ns
.TP
.B \-help
Display a brief help message on
.IR stdout ,
and exit with a success status code (0 on UNIX).
.\"-----------------------------------------------
.TP
.B \-icon
Produce icon files as well as PNG files.  An icon
file is just a low-resolution (12dpi) bitmap that
may be useful as a compact representation of what
is in the PNG file.
.IP
In filter mode (no files on the command line),
this option is ignored.
.\"-----------------------------------------------
.TP
.BI \-margin " pixels"
Add a background margin of width
.I pixels
to the output image.  This option is usually
specified together with
.BR \-crop .
.\"-----------------------------------------------
.TP
.B \-norun
Show on
.I stdout
the commands that would be executed, but do not
run them.
.IP
Use this option to trap the complex command
pipelines for further private customization.
.\"-----------------------------------------------
.TP
.BI \-resolution " dpi"
Set the output bitmap resolution to
.I dpi
dots per inch.
.IP
.RI [Default: " 100" " dpi, suitable only for screen resolution]."
.\"-----------------------------------------------
.TP
.B \-version
Display program version numbers and dates on
.IR stdout ,
and exit with a success status code (0 on UNIX).
.\"-----------------------------------------------
.TP
.BI \-W "component,option"
Pass
.I option
to the program
.IR component ,
which must be one of
.IR gs ,
.IR pngtopnm ,
.IR pnmcrop ,
.IR pnmmargin ,
or
.IR pnmtops .
.IP
This option, a POSIX convention, provides a
general way for a user to pass options to programs
invoked by another program.  The value
.I option
is passed
.I after
any generated in response to options supplied to
.BR pstopngtops .
For example,
.BI \-W pnmmargin,-black
would cause any added margin to be colored black.
.\"======================================================================
.SH "SEE ALSO"
.BR epsutil (1),
.BR gimp (1),
.BR gs (1),
.BR photoshop (1),
.BR pngtopnm (1),
.BR pnmcrop (1),
.BR pnmmargin (1),
.BR pnmtops (1),
.BR pstojpeg (1),
.BR pstopng (1),
.BR pstotiff (1),
.BR xv (1).
.PP
T. Boutell,
.IR "RFC 2083: PNG (Portable Network Graphics) Specification Version 1.0" ,
available at \&\fCftp://ftp.internic.net/rfc/rfc2083.txt\fP.
.PP
John Miano,
.IR "The programmer's guide to compressed image files: JPEG, PNG, GIF, XBM, BMP" ,
Addison-Wesley Longman,
Harlow, Essex, England 1999,
ISBN 0-201-60443-4.
.PP
Greg Roelofs,
.IR "PNG: The Definitive Guide" ,
O'Reilly and Associates, Inc., Sebastopol, CA,
Cambridge, MA, and Beijing, China, 1999,
ISBN 1-56592-542-4.
.PP
The \*(Ps\& language has evolved through three
upward-compatible major levels, each defined by an
edition of these books:
.IP
Adobe Systems Incorporated,
.IR "\*(Ps\& Language Reference Manual" ,
First edition,
Addison-Wesley, Reading, MA, 1985,
ISBN 0-201-10174-2.
.IP
Adobe Systems Incorporated,
.IR "\*(Ps\& Language Reference Manual" ,
Second edition,
Addison-Wesley, Reading, MA, 1990,
ISBN 0-201-18127-4.
.IP
Adobe Systems Incorporated,
.IR "\*(Ps\& Language Reference" ,
Third edition,
Addison-Wesley, Reading, MA, 1999,
ISBN 0-201-37922-8.
.PP
\*(Ps\& printing devices contain language
implementations that are also compatible with one
or more of these levels, though usually with a lag
time of two to three years after an edition of the
books.
.\"======================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe, Ph.D.
Center for Scientific Computing
University of Utah
Department of Mathematics, 322 INSCC
155 S 1400 E RM 233
Salt Lake City, UT 84112-0090
Tel: +1 801 581 5254
FAX: +1 801 585 1640, +1 801 581 4148
Email: \fCbeebe@math.utah.edu\fP, \fCbeebe@acm.org\fP,
       \fCbeebe@computer.org\fP, \fCbeebe@ieee.org\fP
WWW URL: \fChttp://www.math.utah.edu/~beebe\fP
.fi
.\"==============================[The End]==============================
.\" This is for GNU Emacs file-specific customization:
.\" Local Variables:
.\" fill-column: 50
.\" End:
